# omapi_host – Setup OMAPI hosts

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manage OMAPI hosts into compatible DHCPd servers

## Requirements

The below requirements are needed on the host that executes this module.

- pypureomapi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

ddns
boolean

Choices:
- no ←
- yes

Enable dynamic DNS updates for this host.

host string | Default: "localhost" | Sets OMAPI server host to interact with.
hostname string |  | Sets the host lease hostname (mandatory if state=present). aliases: name
ip string |  | Sets the lease host IP address.
key string / required |  | Sets the TSIG key content for authenticating against OMAPI server.
key_name string / required |  | Sets the TSIG key name for authenticating against OMAPI server.
macaddr string / required |  | Sets the lease host MAC address.
port integer | Default: 7911 | Sets the OMAPI server port to interact with.

state
string / required

Choices:
- absent
- present

Create or remove OMAPI host.

statements list | Default: [] | Attach a list of OMAPI DHCP statements with host lease (without ending semicolon).

## Examples

    - name: Add a host using OMAPI
      omapi_host:
        key_name: defomapi
        key: +bFQtBCta6j2vWkjPkNFtgA==
        host: 10.98.4.55
        macaddr: 44:dd:ab:dd:11:44
        name: server01
        ip: 192.168.88.99
        ddns: yes
        statements:
        - filename "pxelinux.0"
        - next-server 1.1.1.1
        state: present

    - name: Remove a host using OMAPI
      omapi_host:
        key_name: defomapi
        key: +bFQtBCta6j2vWkjPkNFtgA==
        host: 10.1.1.1
        macaddr: 00:66:ab:dd:11:44
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
lease complex | success | dictionary containing host information
| hardware-address string | success | MAC address Sample: 00:11:22:33:44:55
| hardware-type integer | success | hardware type, generally '1' Sample: 1
| ip-address string | success | IP address, if there is. Sample: 192.168.1.5
| name string | success | hostname Sample: mydesktop

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Loic Blot (@nerzhul)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.